| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
mkg3states.c File Reference
`#include "tif_config.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "tif_fax3.h"`

Go to the source code of this file.

## Classes
struct | proto

## Macros
#define | streq(a, b) (strcmp(a,b) == 0)

## Functions
int | getopt (int, char **, char *)
void | WriteTable (FILE *fd, const TIFFFaxTabEnt *T, int Size, const char *name)
int | main (int argc, char *argv[])

## Variables
TIFFFaxTabEnt | MainTable [128]
TIFFFaxTabEnt | WhiteTable [4096]
TIFFFaxTabEnt | BlackTable [8192]

## Macro Definition Documentation

#define streq | ( |  | a,
|  |  | b
| ) |  | (strcmp(a,b) == 0)

Definition at line 48 of file mkg3states.c.

## Function Documentation

int getopt | ( | int | ,
|  | char ** | ,
|  | char * |
| ) |  |

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 381 of file mkg3states.c.

void WriteTable | ( | FILE * | fd,
|  | const TIFFFaxTabEnt * | T,
|  | int | Size,
|  | const char * | name
| ) |  |

Definition at line 346 of file mkg3states.c.

## Variable Documentation

TIFFFaxTabEnt BlackTable[8192]

Definition at line 53 of file mkg3states.c.

TIFFFaxTabEnt MainTable[128]

Definition at line 51 of file mkg3states.c.

TIFFFaxTabEnt WhiteTable[4096]

Definition at line 52 of file mkg3states.c.